Loading...
Searching...
No Matches
volk_arch_defs.arch_class Class Reference

Inherits object.

## Public Member Functions

| __init__ (self, flags, checks, **kwargs)
| is_supported (self, compiler)
| get_flags (self, compiler)
| __repr__ (self)

## Data Fields

| checks = checks
| name

## Protected Attributes

| _flags = flags

## Constructor & Destructor Documentation

## __init__()

volk_arch_defs.arch_class.__init__ | ( |  | self,
|  |  | flags,
|  |  | checks,
|  | ** | kwargs )

## Member Function Documentation

## __repr__()

volk_arch_defs.arch_class.__repr__ | ( |  | self | ) |

## get_flags()

volk_arch_defs.arch_class.get_flags | ( |  | self,
|  |  | compiler )

## is_supported()

volk_arch_defs.arch_class.is_supported | ( |  | self,
|  |  | compiler )

## Field Documentation

## _flags

volk_arch_defs.arch_class._flags = flags

protected

## checks

volk_arch_defs.arch_class.checks = checks

## name

volk_arch_defs.arch_class.name